package cc.smtweb.system.bpm.web.sys.dev;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageService;

/**
 * Created by 1 at 2022-08-03 10:49:51
 * 页面【[页面下拉]的服务类
 */
@SwService
public class FormComboService extends DynPageService {
    //public final static String TYPE_DEMO = "demo";
    @Override
    protected AbstractHandler createHandler(String type) {
        if (TYPE_LOAD.equals(type)) return new ComboHandler.FormLoadHandler();
        return super.createHandler(type);
    }

/* demo
    //自定义
    public R demo(@SwBody SwMap params, UserSession us) {
        return pageHandler(params, us, TYPE_DEMO, handler -> ((DemoHandler)handler).demo());
    }
*/

}
